//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
USERES("dt.res");
USEFORM("dtUnit1.cpp", Form1);
USEFORM("dtUnit2.cpp", Form2);
USERC("rc.rc");
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int){
	const char progid[] = "{70929620-E9AB-11D2-ACDE-E38E0A0C951D}";
	if(OpenMutex(0, false, progid))
		return 0;
	HANDLE mutex = CreateMutex(NULL, true, progid);
	try{
		Application->Initialize();
		Application->ShowMainForm = false;
		Application->Title = "Daytime client";
		Application->CreateForm(__classid(TForm1), &Form1);
		Application->Run();
	}
	catch (Exception &exception){
		Application->ShowException(&exception);
	}
	ReleaseMutex(mutex);
	return 0;
}
//---------------------------------------------------------------------------
